zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: 3b8e265727c84fe69bffbfa16c152838
      template: 'Template preprocessing order test'
      name: 'Template preprocessing order test'
      groups:
        - name: Templates
      items:
        - uuid: a48a73293a37403b95ee58d3109ce58e
          name: 'Get data'
          type: SNMP_AGENT
          snmp_oid: 'walk[1.2.3.4]'
          key: discovery
          value_type: CHAR
          trends: '0'
          description: 'Would use discovery[{#SNMPVALUE},1.2.3.4] but that fails with "invalid OID format".'
          preprocessing:
            - type: SNMP_WALK_TO_JSON
              parameters:
                - '{#SNMPVALUE}'
                - 1.2.3.4
                - '0'
            - type: CHECK_NOT_SUPPORTED
              parameters:
                - '0'
                - '^no data was found$'
              error_handler: CUSTOM_VALUE
              error_handler_params: '[]'
          tags:
            - tag: Application
              value: 'Zabbix raw items'
